/******************************************************************************/
#include "p5type.h"
#include "p5ext.h"
/******************************************************************************/
/*                           Get the trellis.
*******************************************************************************/
int Get_Trellis()
{
 for(P_State=ZERO;P_State<NUM_STATES;P_State++)
 {
  for(P_Input=ZERO;P_Input<NUM_INPUTS;P_Input++)
  {
   Get_Next_State();
   Print_Trellis();
  }
 }
 return(0);
}
/******************************************************************************/
/*                         Populate the trellis.
*******************************************************************************/
int Get_Next_State()
{
 int cnt,m_array[PRED_MEM_SIZE];
 Decimal_To_M_ary(P_State,m_array);
 for(cnt=ZERO;cnt<PRED_MEM_SIZE;cnt++)
  State_Array[P_State][cnt]=m_array[cnt];
 for(cnt=PRED_MEM_SIZE-ONE;cnt>ZERO;cnt--)
  m_array[cnt]=m_array[cnt-ONE];
 m_array[ZERO]=P_Input;
 Trel_NS[P_State][P_Input]=M_ary_To_Decimal(m_array);
 return(0);
}
/******************************************************************************/
/*                          Print the trellis.
*******************************************************************************/
int Print_Trellis()
{
 int cnt;
 printf("\t P_State:%3d P_Input:%3d ",P_State,P_Input);
 printf("N_State:%3d.\n",Trel_NS[P_State][P_Input]);
 printf("\t State array: ");
 for(cnt=PRED_MEM_SIZE-ONE;cnt>=ZERO;cnt--)
  printf("%d",State_Array[P_State][cnt]);
 printf("\n\n");
 return(0);
}
/******************************************************************************/
