/******************************************************************************/
#include "p6type.h"
#include "p6ext.h"
/******************************************************************************/
/*                    Check for validity of variables.
*******************************************************************************/
int Ck_Var()
{
 Check_Constellation_Size();
 Check_Diversity();
 return(0);
}
/******************************************************************************/
/*                        Check constellation size.
*******************************************************************************/
int Check_Constellation_Size()
{
 int power,cnt;
 power=ONE;
 for(cnt=ZERO;cnt<BITS_PER_SYM;cnt++)
  power=2*power;
 if(power != CONSTELL_SIZE)
  Error_Mes(7);
 return(0);
}
/******************************************************************************/
/*                          Check the diversity.
*******************************************************************************/
int Check_Diversity()
{
 if(DIVERSITY < ONE)
  Error_Mes(17);
 return(0);
}
/******************************************************************************/
