/******************************************************************************/
#include "p6type.h"
#include "p6ext.h"
/******************************************************************************/
int Pre_Processor()
{
 Ck_Var();
 Get_Mapping();
 Sim_Init();
 return(0);
}
/******************************************************************************/
/*                           Get real mapping.
*******************************************************************************/
int Get_Mapping()
{
 int cnt;
 double tmp,inx,size;
 tmp=0.5*(2.0+(1.0+sqrt(3.0))*(1.0+sqrt(3.0)));
 tmp=sqrt(tmp);
 size=(double)CONSTELL_SIZE;
 for(cnt=ZERO;cnt<CONSTELL_SIZE;cnt++)
 {
  inx=(double)cnt;
  Re_Map[cnt]=tmp*cos(inx*2.0*MY_PI/size);
  Im_Map[cnt]=tmp*sin(inx*2.0*MY_PI/size);
 }
 return(0);
}
/******************************************************************************/
