/******************************************************************************/
/*                          COUNTER VARIABLES.
*******************************************************************************/
extern long Sym_Cnt;                                         /* Symbol count. */
extern long Err_Cnt;                                        /* No. of errors. */
/******************************************************************************/
/*                      BIT AND SYMBOL VARIABLES.
*******************************************************************************/
extern int Bit[BITS_PER_SYM];                             /* Stores the bits. */
extern int Tx_Sym_Num;                          /* Sym. no. i/p to diff. enc. */
extern int Rx_Sym_Num;                          /* Sym. no. i/p to diff. enc. */
extern double Re_Sym;                          /* Re. part of current symbol. */
extern double Im_Sym;                          /* Im. part of current symbol. */
extern double Re_Map[CONSTELL_SIZE];                          /* Re. mapping. */
extern double Im_Map[CONSTELL_SIZE];                          /* Im. mapping. */
/******************************************************************************/
/*                        FADE GENERATOR VARIABLES.
*******************************************************************************/
extern long Sym_Energy_Cnt;                /* To compute the avg. tx. energy. */
extern unsigned short F1_Store[3];                      /* Stores PNS status. */
extern unsigned short F2_Store[3];                      /* Stores PNS status. */
extern double F_Val[NVALSIZE];                   /* Contains U & G rand. var. */
extern double Re_Fade;                          /* Re. part of fade variable. */
extern double Im_Fade;                          /* Im. part of fade variable. */
extern double Ip_Coeff;                                 /* IIR coeff. of i/p. */
extern double Coeff_Array[PRED_MEM_SIZE];               /* IIR coeff. of o/p. */
extern double Re_F_Reg[PRED_MEM_SIZE];                      /* Re. pred. reg. */
extern double Im_F_Reg[PRED_MEM_SIZE];                      /* Im. pred. reg. */
extern double Sym_Energy;                            /* Energy in the symbol. */
extern double Max_Env_Sq;                          /* Max. value of envelope. */
extern double Min_Env_Sq;                          /* Min. value of envelope. */
/******************************************************************************/
/*                       NOISE GENERATOR VARIABLES.
*******************************************************************************/
extern unsigned short N1_Store[3];                      /* Stores PNS status. */
extern unsigned short N2_Store[3];                      /* Stores PNS status. */
extern double N_Val[NVALSIZE];                   /* Contains U & G rand. var. */
/******************************************************************************/
