/******************************************************************************/
/*                          COUNTER VARIABLES.
*******************************************************************************/
long Sym_Cnt;                                                /* Symbol count. */
long Err_Cnt;                                               /* No. of errors. */
/******************************************************************************/
/*                      BIT AND SYMBOL VARIABLES.
*******************************************************************************/
int Bit[BITS_PER_SYM];                                    /* Stores the bits. */
int Tx_Sym_Num;                                 /* Sym. no. i/p to diff. enc. */
int Rx_Sym_Num;                                 /* Sym. no. i/p to diff. enc. */
double Re_Sym;                                 /* Re. part of current symbol. */
double Im_Sym;                                 /* Im. part of current symbol. */
double Re_Map[CONSTELL_SIZE];                                 /* Re. mapping. */
double Im_Map[CONSTELL_SIZE];                                 /* Im. mapping. */
/******************************************************************************/
/*                        FADE GENERATOR VARIABLES.
*******************************************************************************/
long Sym_Energy_Cnt;                       /* To compute the avg. tx. energy. */
unsigned short F1_Store[3];                             /* Stores PNS status. */
unsigned short F2_Store[3];                             /* Stores PNS status. */
double F_Val[NVALSIZE];                          /* Contains U & G rand. var. */
double Re_Fade;                                 /* Re. part of fade variable. */
double Im_Fade;                                 /* Im. part of fade variable. */
double Ip_Coeff;                                        /* IIR coeff. of i/p. */
double Coeff_Array[PRED_MEM_SIZE];                      /* IIR coeff. of o/p. */
double Re_F_Reg[PRED_MEM_SIZE];                             /* Re. pred. reg. */
double Im_F_Reg[PRED_MEM_SIZE];                             /* Im. pred. reg. */
double Sym_Energy;                                   /* Energy in the symbol. */
double Max_Env_Sq;                                 /* Max. value of envelope. */
double Min_Env_Sq;                                 /* Min. value of envelope. */
/******************************************************************************/
/*                       NOISE GENERATOR VARIABLES.
*******************************************************************************/
unsigned short N1_Store[3];                             /* Stores PNS status. */
unsigned short N2_Store[3];                             /* Stores PNS status. */
double N_Val[NVALSIZE];                          /* Contains U & G rand. var. */
/******************************************************************************/
