/******************************************************************************/
#include "p7type.h"
#include "p7ext.h"
/******************************************************************************/
int Simulation()
{
 for(Sym_Cnt=ZERO;Sym_Cnt<MAX_SYM;Sym_Cnt++)
 {
  Get_Symbol();
  Add_Noise();
  Receive();
 }
 return(0);
}
/******************************************************************************/
/*                        Add white Gaussian noise.
*******************************************************************************/
int Add_Noise()
{
 double erand48();
 N_Val[URADIUS]=erand48(N1_Store);
 N_Val[UTHETA]=erand48(N2_Store);
 My_Gauss(VARIANCE,N_Val);
 Re_Sym=Re_Sym+N_Val[GRAND_0];
 Im_Sym=Im_Sym+N_Val[GRAND_1];
 return(0);
}
/******************************************************************************/
/*                         Sample the MF output.
*******************************************************************************/
int Receive()
{
 Get_Nearest_Neighbour();
 Update_Error();
 return(0);
}
/******************************************************************************/
/*                        Get the nearest neighbour.
*******************************************************************************/
int Get_Nearest_Neighbour()
{
 int cnt;
 double dist,min,retmp,imtmp;
 min=THRESH;
 for(cnt=ZERO;cnt<CONSTELL_SIZE;cnt++)
 {
  retmp=Re_Map[cnt]*(Re_Fade+F_BIAS)-Im_Map[cnt]*(Im_Fade+F_BIAS);
  imtmp=Re_Map[cnt]*(Im_Fade+F_BIAS)+Im_Map[cnt]*(Re_Fade+F_BIAS);
  dist=(Re_Sym-retmp)*(Re_Sym-retmp)+(Im_Sym-imtmp)*(Im_Sym-imtmp);
  if(dist < min)
  {
   min=dist;
   Rx_Sym_Num=cnt;
  }
 }
 return(0);
}
/******************************************************************************/
/*                     Update the symbol error count.
*******************************************************************************/
int Update_Error()
{
 if(Rx_Sym_Num != Tx_Sym_Num)
  Err_Cnt++;
 return(0);
}
/******************************************************************************/
