/******************************************************************************/
#include "p7type.h"
#include "p7ext.h"
/******************************************************************************/
/*                            Binary to decimal.
*******************************************************************************/
int Binary_to_Decimal(array,size)
int array[];
int size;
{
 int cnt,power,num;
 power=ONE;
 num=ZERO;
 for(cnt=ZERO;cnt<size;cnt++)
 {
  num=num+power*Bit[cnt];
  power=2*power;
 }
 return(num);
}
/******************************************************************************/
/*       Convert uniform random variables to gaussian random variables.
*******************************************************************************/
int My_Gauss(tvar,tnarry)
double tvar,tnarry[];
{
 double r,theta;
 r= -2.0*tvar*log(1.0-tnarry[URADIUS]);
 if(r < FRAC_ZERO)
  Error_Mes(10);
 r=sqrt(r);
 theta=2.0*MY_PI*tnarry[UTHETA];
 tnarry[GRAND_0]=r*cos(theta);
 tnarry[GRAND_1]=r*sin(theta);
 return(0);
}
/******************************************************************************/
/*                 Check for memory allocation failure.
*******************************************************************************/
int Ck_Calloc(tmp)
void *tmp;
{
 if(tmp==NULL)
  exit(3);
 return(0);
}
/******************************************************************************/
/*                             Error message.
*******************************************************************************/
int Error_Mes(num)
int num;
{
 exit(num);
 return(0);
}
/******************************************************************************/
