/******************************************************************************/
#include "p4type.h"
#include "p4ext.h"
/******************************************************************************/
int Post_Processor()
{
 Print_Info();
 return(0);
}
/******************************************************************************/
/*                      Print general information.
*******************************************************************************/
int Print_Info()
{
 int cntd;
 double avg;
 printf("\t Total symbols transmitted is %ld.\n\n",Sym_Energy_Cnt);
 printf("\t Number of valid symbols is %ld.\n\n",Valid_Sym);
 printf("\t No. of symbol errors is %ld.\n\n",Err_Cnt);
 for(cntd=ZERO;cntd<DIVERSITY;cntd++)
 {
  avg=Sym_Energy[cntd]/(double)Sym_Energy_Cnt;
  printf("\t Div:%3d Max. sq. env is %16.12lf.\n\n",cntd,Max_Env_Sq[cntd]);
  printf("\t Div:%3d Min. sq. env is %16.12lf.\n\n",cntd,Min_Env_Sq[cntd]);
  printf("\t Total energy is %16.12lf.\n\n",Sym_Energy[cntd]);
  printf("\t Avg. transmitted energy is %16.12lf.\n\n",avg);
 }
 return(0);
}
/******************************************************************************/
