/******************************************************************************/
#include "p7type.h"
#include "p7ext.h"
/******************************************************************************/
/*                    Check for validity of variables.
*******************************************************************************/
int Ck_Var()
{
 Check_Bits_Per_Sym();
 Check_Constellation_Size();
 return(0);
}
/******************************************************************************/
/*                        Check bits per symbol.
*******************************************************************************/
int Check_Bits_Per_Sym()
{
 if(BITS_PER_SYM < 3)
  Error_Mes(5);
 return(0);
}
/******************************************************************************/
/*                        Check constellation size.
*******************************************************************************/
int Check_Constellation_Size()
{
 int power,cnt;
 power=ONE;
 for(cnt=ZERO;cnt<BITS_PER_SYM;cnt++)
  power=2*power;
 if(power != CONSTELL_SIZE)
  Error_Mes(7);
 return(0);
}
/******************************************************************************/
